from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, Float, String

Segtools_Transition_V0_1_0 = CommandToolBuilder(tool="segtools_transition", base_command=["segtools-transition"], inputs=[ToolInput(tag="in_clobber", input_type=Boolean(optional=True), prefix="--clobber", doc=InputDocumentation(doc="Overwrite any existing output files.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Do not print diagnostic messages.")), ToolInput(tag="in_replot", input_type=Boolean(optional=True), prefix="--replot", doc=InputDocumentation(doc="Load data from output tab files and regenerate plots\ninstead of recomputing data.")), ToolInput(tag="in_no_plot", input_type=Boolean(optional=True), prefix="--noplot", doc=InputDocumentation(doc="Do not generate any plots.")), ToolInput(tag="in_no_graph", input_type=Boolean(optional=True), prefix="--nograph", doc=InputDocumentation(doc="Do not generate transition graph")), ToolInput(tag="in_mnemonic_file", input_type=File(optional=True), prefix="--mnemonic-file", doc=InputDocumentation(doc="If specified, labels will be shown using mnemonics\nfound in FILE")), ToolInput(tag="in_outdir", input_type=File(optional=True), prefix="--outdir", doc=InputDocumentation(doc="File output directory (will be created if it does not\nexist) [default: transition]")), ToolInput(tag="in_dendrogram", input_type=Boolean(optional=True), prefix="--dendrogram", doc=InputDocumentation(doc="include dendrogram along edge of levelplot [default:\nFalse]")), ToolInput(tag="in_prob_threshold", input_type=Float(optional=True), prefix="--prob-threshold", doc=InputDocumentation(doc="ignore all transitions with probabilities below this\nabsolute threshold [default: 0.15]")), ToolInput(tag="in_quantile_threshold", input_type=Float(optional=True), prefix="--quantile-threshold", doc=InputDocumentation(doc="ignore transitions with probabilities below this\nprobability quantile [default: 0.0]")), ToolInput(tag="in_gmt_k", input_type=Boolean(optional=True), prefix="--gmtk", doc=InputDocumentation(doc="The SEGMENTATION argument will instead be treated as a\nGMTK parameter file. If a mnemonic file is not\nspecified, one will be created and used.")), ToolInput(tag="in_val_pass_val", input_type=String(optional=True), prefix="-R", doc=InputDocumentation(doc="=VAL        Pass VAL for PARAM when calling R functions. May be\nspecified multiple times.\n")), ToolInput(tag="in_segmentation", input_type=String(), position=0, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_outdir", output_type=File(optional=True), selector=InputSelector(input_to_select="in_outdir", type_hint=File()), doc=OutputDocumentation(doc="File output directory (will be created if it does not\nexist) [default: transition]"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Segtools_Transition_V0_1_0().translate("wdl", allow_empty_container=True)

